Help for P 1102w instalation

Asked by ivo on 2020-08-23

Hi,

I appreciate any help with the problem:

Failed to intall USB AND/OR WiFi driver.

OS Ubuntu 18.04 fully patched
hppil - latest - hplip-3.20.6
printer - HP 1102w
HP-check log is below

I ran sh hplip-3.20.6.run and followed the steps on screen. Printer appeared into printers section. After installation ran UI to setup, choosing Wireless configuration. Device - found, USB connected as requested. Net - found. Supplied key when requested. A few request appeared in the console and finally I got this:

GET /IoMgmt/IoConfig.xml HTTP/1.1
Host: localhost
User-Agent: hplip/3.0
Content-Type: text/xml; charset=utf-8
Content-Length: 0

warning: Request failed with Response code 404. HostName not found.

When I click finish I'm sent back to Device discovery and this might go forever.

Any help will be appreciated Thenk you
Ivo

--- HP-check log ---
hp-check[6273]: info: :
hp-check[6273]: info: :HP Linux Imaging and Printing System (ver. 3.20.6)
hp-check[6273]: info: :Dependency/Version Check Utility ver. 15.1
hp-check[6273]: info: :
hp-check[6273]: info: :Copyright (c) 2001-18 HP Development Company, LP
hp-check[6273]: info: :This software comes with ABSOLUTELY NO WARRANTY.
hp-check[6273]: info: :This is free software, and you are welcome to distribute it
hp-check[6273]: info: :under certain conditions. See COPYING file for more details.
hp-check[6273]: info: :
hp-check[6273]: info: :Note: hp-check can be run in three modes:
hp-check[6273]: info: :1. Compile-time check mode (-c or --compile): Use this mode before compiling the
hp-check[6273]: info: :HPLIP supplied tarball (.tar.gz or .run) to determine if the proper dependencies
hp-check[6273]: info: :are installed to successfully compile HPLIP.
hp-check[6273]: info: :2. Run-time check mode (-r or --run): Use this mode to determine if a distro
hp-check[6273]: info: :supplied package (.deb, .rpm, etc) or an already built HPLIP supplied tarball
hp-check[6273]: info: :has the proper dependencies installed to successfully run.
hp-check[6273]: info: :3. Both compile- and run-time check mode (-b or --both) (Default): This mode
hp-check[6273]: info: :will check both of the above cases (both compile- and run-time dependencies).
hp-check[6273]: info: :
hp-check[6273]: info: :Check types:
hp-check[6273]: info: :a. EXTERNALDEP - External Dependencies
hp-check[6273]: info: :b. GENERALDEP - General Dependencies (required both at compile and run time)
hp-check[6273]: info: :c. COMPILEDEP - Compile time Dependencies
hp-check[6273]: info: :d. [All are run-time checks]
hp-check[6273]: info: :PYEXT SCANCONF QUEUES PERMISSION
hp-check[6273]: info: :
hp-check[6273]: info: :Status Types:
hp-check[6273]: info: : OK
hp-check[6273]: info: : MISSING - Missing Dependency or Permission or Plug-in
hp-check[6273]: info: : INCOMPAT - Incompatible dependency-version or Plugin-version
hp-check[6273]: info: :
hp-check[6273]: info: :
hp-check[6273]: info: :---------------
hp-check[6273]: info: :| SYSTEM INFO |
hp-check[6273]: info: :---------------
hp-check[6273]: info: :
hp-check[6273]: info: : Kernel: 4.15.0-112-generic #113-Ubuntu SMP Thu Jul 9 23:41:39 UTC 2020 GNU/Linux
 Host: dell-Inspiron-5567
 Proc: 4.15.0-112-generic #113-Ubuntu SMP Thu Jul 9 23:41:39 UTC 2020 GNU/Linux
 Distribution: 12 18.04
hp-check[6273]: info: : Bitness: 64 bit

hp-check[6273]: info: :
hp-check[6273]: info: :-----------------------
hp-check[6273]: info: :| HPLIP CONFIGURATION |
hp-check[6273]: info: :-----------------------
hp-check[6273]: info: :
hp-check[6273]: info: :HPLIP-Version: HPLIP 3.20.6
hp-check[6273]: info: :HPLIP-Home: /usr/share/hplip
hp-check[6273]: info: :HPLIP-Installation: Auto installation is supported for ubuntu distro 18.04 version
hp-check[6273]: info: :
hp-check[6273]: info: :Current contents of '/etc/hp/hplip.conf' file:
hp-check[6273]: info: :# hplip.conf. Generated from hplip.conf.in by configure.

[hplip]
version=3.20.6

[dirs]
home=/usr/share/hplip
run=/var/run
ppd=/usr/share/ppd/HP
ppdbase=/usr/share/ppd
doc=/usr/share/doc/hplip-3.20.6
html=/usr/share/doc/hplip-3.20.6
icon=/usr/share/applications
cupsbackend=/usr/lib/cups/backend
cupsfilter=/usr/lib/cups/filter
drv=/usr/share/cups/drv/hp
bin=/usr/bin
apparmor=/etc/apparmor.d
# Following values are determined at configure time and cannot be changed.
[configure]
network-build=yes
libusb01-build=no
pp-build=no
gui-build=yes
scanner-build=yes
fax-build=yes
dbus-build=yes
cups11-build=no
doc-build=yes
shadow-build=no
hpijs-install=no
foomatic-drv-install=no
foomatic-ppd-install=no
foomatic-rip-hplip-install=no
hpcups-install=yes
cups-drv-install=yes
cups-ppd-install=no
internal-tag=3.20.6
restricted-build=no
ui-toolkit=qt4
qt3=no
qt4=yes
qt5=no
policy-kit=no
lite-build=no
udev_sysfs_rules=no
hpcups-only-build=no
hpijs-only-build=no
apparmor_build=no
class-driver=no

hp-check[6273]: info: :
hp-check[6273]: info: :Current contents of '/var/lib/hp/hplip.state' file:
hp-check[6273]: info: :[plugin]
installed = 1
eula = 1
version = 3.20.6

hp-check[6273]: info: :
hp-check[6273]: info: :Current contents of '~/.hplip/hplip.conf' file:
hp-check[6273]: info: :[upgrade]
notify_upgrade = true
last_upgraded_time = 1598213336
pending_upgrade_time = 0
latest_available_version = 3.17.10

[last_used]
device_uri = hp:/usb/HP_LaserJet_Professional_P_1102w?serial=000000000W405GJLPR1a
printer_name = HP_1102

[installation]
date_time = 23/08/20 21:58:58
version = 3.20.6

hp-check[6273]: info: : <Package-name> <Package-Desc> <Required/Optional> <Min-Version> <Installed-Version> <Status> <Comment>
hp-check[6273]: info: :
hp-check[6273]: info: :--------------
hp-check[6273]: info: :| COMPILEDEP |
hp-check[6273]: info: :--------------
hp-check[6273]: info: :
hp-check[6273]: info: : gcc gcc - GNU Project C and C++ Compiler REQUIRED - 7.5.0 OK -
hp-check[6273]: info: : make make - GNU make utility to maintain groups of programs REQUIRED 3.0 4.1 OK -
hp-check[6273]: info: : libtool libtool - Library building support services REQUIRED - 2.4.6 OK -
hp-check[6273]: info: :
hp-check[6273]: info: :------------------------
hp-check[6273]: info: :| General Dependencies |
hp-check[6273]: info: :------------------------
hp-check[6273]: info: :
hp-check[6273]: info: : libcrypto libcrypto - OpenSSL cryptographic library REQUIRED - 1.1.1 OK -
hp-check[6273]: info: : python-xml Python XML libraries REQUIRED - 2.2.5 OK -
hp-check[6273]: info: : libnetsnmp-devel libnetsnmp-devel - SNMP networking library development files REQUIRED 5.0.9 5.7.3 OK -
hp-check[6273]: info: : sane-devel SANE - Scanning library development files REQUIRED - - OK -
hp-check[6273]: info: : pil PIL - Python Imaging Library (required for commandline scanning with hp-scan) OPTIONAL - 5.1.0 OK -
hp-check[6273]: info: : pyqt4-dbus PyQt 4 DBus - DBus Support for PyQt4 REQUIRED 4.0 4.12.1 OK -
hp-check[6273]: info: : libpthread libpthread - POSIX threads library REQUIRED - 2.27 OK -
hp-check[6273]: info: : python-devel Python devel - Python development files REQUIRED 2.2 2.7.17 OK -
hp-check[6273]: info: : cups-devel CUPS devel- Common Unix Printing System development files REQUIRED - 2.2.7 OK -
hp-check[6273]: info: : python-dbus Python DBus - Python bindings for DBus REQUIRED 0.80.0 1.2.6 OK -
hp-check[6273]: info: : cups-ddk CUPS DDK - CUPS driver development kit OPTIONAL - - OK -
hp-check[6273]: info: : reportlab Reportlab - PDF library for Python OPTIONAL 2.0 3.4.0 OK -
hp-check[6273]: info: : pyqt4 PyQt 4- Qt interface for Python (for Qt version 4.x) REQUIRED 4.0 4.12.1 OK -
hp-check[6273]: info: : libusb libusb - USB library REQUIRED - 1.0 OK -
hp-check[6273]: info: : cups-image CUPS image - CUPS image development files REQUIRED - 2.2.7 OK -
hp-check[6273]: info: : python2X Python 2.2 or greater - Python programming language REQUIRED 2.2 2.7.17 OK -
hp-check[6273]: info: : python-notify Python libnotify - Python bindings for the libnotify Desktop notifications OPTIONAL - - OK -
hp-check[6273]: info: : libjpeg libjpeg - JPEG library REQUIRED - - OK -
hp-check[6273]: info: : sane SANE - Scanning library REQUIRED - - OK -
hp-check[6273]: info: :
hp-check[6273]: info: :----------------------
hp-check[6273]: info: :| Scan Configuration |
hp-check[6273]: info: :----------------------
hp-check[6273]: info: :
hp-check[6273]: info: : scanext Scan-SANE-Extension REQUIRED - 3.20.6 OK -
hp-check[6273]: info: : hpaio HPLIP-SANE-Backend REQUIRED - 3.20.6 OK 'hpaio found in /etc/sane.d/dll.conf'
hp-check[6273]: info: :
hp-check[6273]: info: :-------------------------
hp-check[6273]: info: :| External Dependencies |
hp-check[6273]: info: :-------------------------
hp-check[6273]: info: :
hp-check[6273]: info: : gs GhostScript - PostScript and PDF language interpreter and previewer REQUIRED 7.05 9.26 OK -
hp-check[6273]: info: : scanimage scanimage - Shell scanning program OPTIONAL 1.0 1.0.27 OK -
hp-check[6273]: info: : cups CUPS - Common Unix Printing System REQUIRED 1.1 2.2.7 OK 'CUPS Scheduler is running'
hp-check[6273]: info: : network network -wget OPTIONAL - 1.19.4 OK -
hp-check[6273]: info: : policykit PolicyKit - Administrative policy framework OPTIONAL - 0.105 OK -
hp-check[6273]: info: : xsane xsane - Graphical scanner frontend for SANE OPTIONAL 0.9 0.999 OK -
hp-check[6273]: info: : dbus DBus - Message bus system REQUIRED - 1.12.2 OK -
hp-check[6273]: info: : avahi-utils avahi-utils OPTIONAL - 0.7 OK -
hp-check[6273]: info: :
hp-check[6273]: info: :---------------------
hp-check[6273]: info: :| Python Extentions |
hp-check[6273]: info: :---------------------
hp-check[6273]: info: :
hp-check[6273]: info: : hpmudext IO-Extension REQUIRED - 3.20.6 OK -
hp-check[6273]: info: : cupsext CUPS-Extension REQUIRED - 3.20.6 OK -
hp-check[6273]: info: :
hp-check[6273]: info: :------------------------------
hp-check[6273]: info: :| DISCOVERED SCANNER DEVICES |
hp-check[6273]: info: :------------------------------
hp-check[6273]: info: :
hp-check[6273]: info: :No Scanner found.
hp-check[6273]: info: :
hp-check[6273]: info: :--------------------------
hp-check[6273]: info: :| DISCOVERED USB DEVICES |
hp-check[6273]: info: :--------------------------
hp-check[6273]: info: :
hp-check[6273]: info: : Device URI Model
hp-check[6273]: info: : -------------------------------- --------------------------------
hp-check[6273]: info: : hp:/usb/HP_LaserJet_Professional HP LaserJet Professional P 1102w
  _P_1102w?serial=000000000W405GJL
  PR1a
hp-check[6273]: info: :
hp-check[6273]: info: :---------------------------------
hp-check[6273]: info: :| INSTALLED CUPS PRINTER QUEUES |
hp-check[6273]: info: :---------------------------------
hp-check[6273]: info: :
hp-check[6273]: info: :
hp-check[6273]: info: :HP_1102
hp-check[6273]: info: :-------
hp-check[6273]: info: :Type: Printer
hp-check[6273]: info: :Device URI: hp:/usb/HP_LaserJet_Professional_P_1102w?serial=000000000W405GJLPR1a
hp-check[6273]: info: :PPD: /etc/cups/ppd/HP_1102.ppd
warning: Failed to read /etc/cups/ppd/HP_1102.ppd ppd file
hp-check[6273]: info: :PPD Description:
hp-check[6273]: info: :Printer status: printer HP_1102 is idle. enabled since Sun 23 Aug 2020 21:57:22 BST
 ready to print
hp-check[6273]: info: :Communication status: Good
hp-check[6273]: info: :
hp-check[6273]: info: :HP_1102w
hp-check[6273]: info: :--------
hp-check[6273]: info: :Type: Printer
hp-check[6273]: info: :Device URI: hp:/usb/HP_LaserJet_Professional_P_1102w?serial=000000000W405GJLPR1a
hp-check[6273]: info: :PPD: /etc/cups/ppd/HP_1102w.ppd
warning: Failed to read /etc/cups/ppd/HP_1102w.ppd ppd file
hp-check[6273]: info: :PPD Description:
hp-check[6273]: info: :Printer status: printer HP_1102w is idle. enabled since Sun 23 Aug 2020 21:45:36 BST
 ready to print
hp-check[6273]: info: :Communication status: Good
hp-check[6273]: info: :
hp-check[6273]: info: :
hp-check[6273]: info: :--------------
hp-check[6273]: info: :| PERMISSION |
hp-check[6273]: info: :--------------
hp-check[6273]: info: :
hp-check[6273]: info: :USB HP_1102 Required - - OK Node:'/dev/bus/usb/001/006' Perm:' root lp rw- rw- rw- rw- r--'
hp-check[6273]: info: :No errors or warnings.
hp-check[6273]: info: :
hp-check[6273]: info: :Done.

Question information

Language:
English Edit question
Status:
Answered
For:
HPLIP Edit question
Assignee:
No assignee Edit question
Last query:
2020-08-23
Last reply:
2020-08-23

Can you help with this problem?

Provide an answer of your own, or ask ivo for more information if necessary.

To post a message you must log in.